MNL_BIOGEME_CODE.txt

[Choice]
MODE

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
ASC_T     0 -10              10              1
ASC_K     0 -10              10              0
ASC_W     0 -10              10              0
ASC_B     0 -10              10              0
ASC_C     0 -10              10              0
B_tW   0 -10              10              0
B_tK  0 -10              10              0
B_tB  0 -10              10              0
B_cB  0 -10              10              0
B_tC    0 -10              10              0


[Utilities]
// Id Name     Avail       linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
    1 Train       AV1         ASC_T * one 

    2 biKe      AV2          ASC_K * one
                             + B_tK * TIME


    3 Walk    AV3         ASC_W * one 
                         + B_tW * TIME

   
    4 Bus    AV4         ASC_B * one 
                         + B_cB * COST
                         + B_tB * TIME


    5 car     AV5         ASC_C * one
                        + B_tC * TIME


[Expressions] 
one = 1
AV1 = 1
AV2 = 1
AV3 = 1
AV4 = 1
AV5 = 1

[Model]
// $MNL stands for "multinomial logit model", 
$MNL